GDB (xrefs)

Public Attributes | List of all members
dwo_unit Struct Reference

## Public Attributes
struct dwo_file * | dwo_file
ULONGEST | signature
struct dwarf2_section_info * | section
sect_offset | sect_off
unsigned int | length
cu_offset | type_offset_in_tu

## Detailed Description

Definition at line 990 of file dwarf2read.c.

## Member Data Documentation

## ◆ dwo_file

struct dwo_file* dwo_unit::dwo_file

Definition at line 993 of file dwarf2read.c.

Referenced by create_cus_hash_table(), create_debug_type_hash_table(), create_dwo_cu_reader(), create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), eq_stmt_list_entry(), hash_stmt_list_entry(), init_tu_and_read_dwo_dies(), queue_and_load_all_dwo_tus(), and read_cutu_die_from_dwo().

## ◆ length

unsigned int dwo_unit::length

Definition at line 1005 of file dwarf2read.c.

Referenced by create_debug_type_hash_table(), create_dwo_cu_reader(), fill_in_sig_entry_from_dwo_entry(), and read_cutu_die_from_dwo().

## ◆ sect_off

sect_offset dwo_unit::sect_off

Definition at line 1004 of file dwarf2read.c.

Referenced by create_cus_hash_table(), create_debug_type_hash_table(), create_dwo_cu_reader(), fill_in_sig_entry_from_dwo_entry(), and read_cutu_die_from_dwo().

## ◆ section

struct dwarf2_section_info* dwo_unit::section

Definition at line 1001 of file dwarf2read.c.

Referenced by create_cus_hash_table(), create_debug_type_hash_table(), create_dwo_cu_reader(), create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), dwarf2_section_buffer_overflow_complaint(), fill_in_sig_entry_from_dwo_entry(), and read_cutu_die_from_dwo().

## ◆ signature

ULONGEST dwo_unit::signature

Definition at line 998 of file dwarf2read.c.

Referenced by create_cus_hash_table(), create_debug_type_hash_table(), create_dwo_cu_reader(), create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), eq_dwo_unit(), eq_dwp_loaded_cutus(), fill_in_sig_entry_from_dwo_entry(), hash_dwo_unit(), hash_dwp_loaded_cutus(), lookup_dwo_comp_unit(), lookup_dwo_cutu(), lookup_dwo_signatured_type(), lookup_dwo_unit_in_dwp(), process_skeletonless_type_unit(), and queue_and_load_dwo_tu().

## ◆ type_offset_in_tu

cu_offset dwo_unit::type_offset_in_tu

Definition at line 1008 of file dwarf2read.c.

Referenced by create_debug_type_hash_table(), fill_in_sig_entry_from_dwo_entry(), and read_cutu_die_from_dwo().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c